Subject: Re: bug#32210: Support medium weighted fonts

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Oct 2021 04:33:49 +0200

Eli Zaretskii <[email-masked]> writes:

> Yes, and see, e.g., ftfont.c, where we query fontconfig for these
> values.

Right.

I've now gone through all the fonts I have here that have different
weights for medium and regular, and with the adjustments in the weights
and Pango weights, I can now select both of them.  (And the other
weights for Noto and DejaVu, which are the main fonts that I've tested
with, also work.)

So I've pushed the changes now to the trunk.  If these changes don't
work with other fonts, please let me know.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no